﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models {
    [Table("area_commitment"), PrimaryKey("Vnr", "KgNr", "GstNr")]
    public class AreaCommit {
        [Column("vnr")]
        public int Vnr { get; set; }

        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("gstnr")]
        public String? GstNr { get; set; }

        [Column("rdnr")]
        public int RdNr { get; set; }

        [Column("area")]
        public int Area { get; set; }

        [Column("sortid")]
        public String SortId { get; set; }

        [Column("attrid")]
        public String? AttrId { get; set; }

        [Column("cultid")]
        public String CultId { get; set; }

        [ForeignKey("Vnr")]
        public virtual Contract Contract { get; set; }

        [ForeignKey("SortId")]
        public virtual WineVar WineVar { get; set; }

        [ForeignKey("AttrId")]
        public virtual WineAttr WineAttr { get; set; }

        [ForeignKey("CultId")]
        public virtual WineCult WineCult { get; set; }

        [ForeignKey("KgNr, RdNr")]
        public virtual WbRd WbRd { get; set; }
    }
}
